KateJScript Class Reference

`#include <katejscript.h>`

Inherited by TestJScriptEnv.

## Public Member Functions

| KateJScript ()
virtual | ~KateJScript ()
KJS::ObjectImp * | wrapDocument (KJS::ExecState *exec, KateDocument *doc)
KJS::ObjectImp * | wrapView (KJS::ExecState *exec, KateView *view)
bool | execute (KateView *view, const QString &script, QString &errorMsg)

## Protected Attributes

KJS::Object * | m_global
KJS::Interpreter * | m_interpreter
KJS::Object * | m_document
KJS::Object * | m_view

## Detailed Description

Whole Kate Part scripting in one classs Allow subclassing to allow specialized scripting engine for indenters.

Definition at line 52 of file katejscript.h.

## Constructor & Destructor Documentation

KateJScript::KateJScript | ( |  | ) |

generate new global interpreter for part scripting

Definition at line 238 of file katejscript.cpp.

KateJScript::~KateJScript | ( |  | ) |

virtual

be destructive

Definition at line 252 of file katejscript.cpp.

## Member Function Documentation

bool KateJScript::execute | ( | KateView * | view,
|  | const QString & | script,
|  | QString & | errorMsg
| ) |  |

execute given script the script will get the doc and view exposed via document and view object in global scope

Parameters

  view | view to expose
  script | source code of script to execute
  errorMsg | error to return if no success

Returns
  success or not?

Definition at line 270 of file katejscript.cpp.

KJS::ObjectImp * KateJScript::wrapDocument | ( | KJS::ExecState * | exec,
|  | KateDocument * | doc
| ) |  |

creates a JS wrapper object for given KateDocument

Parameters

  exec | execution state, to find out interpreter to use
  doc | document object to wrap

Returns
  new js wrapper object

Definition at line 260 of file katejscript.cpp.

KJS::ObjectImp * KateJScript::wrapView | ( | KJS::ExecState * | exec,
|  | KateView * | view
| ) |  |

creates a JS wrapper object for given KateView

Parameters

  exec | execution state, to find out interpreter to use
  view | view object to wrap

Returns
  new js wrapper object

Definition at line 265 of file katejscript.cpp.

## Member Data Documentation

KJS::Object* KateJScript::m_document

protected

object for document

Definition at line 106 of file katejscript.h.

KJS::Object* KateJScript::m_global

protected

global object of interpreter

Definition at line 96 of file katejscript.h.

KJS::Interpreter* KateJScript::m_interpreter

protected

js interpreter

Definition at line 101 of file katejscript.h.

KJS::Object* KateJScript::m_view

protected

object for view

Definition at line 111 of file katejscript.h.

The documentation for this class was generated from the following files:

- katejscript.h
- katejscript.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys